POST /v2/users
curl --request POST \
--url https://api.example.com/v2/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"id": "<string>",
"primaryParty": "<string>",
"isDeactivated": true,
"metadata": {
"resourceVersion": "<string>",
"annotations": {}
},
"identityProviderId": "<string>",
"primaryPartyAuthentication": true
},
"rights": [
{
"kind": {
"CanActAs": {
"value": {
"party": "<string>"
}
}
}
}
]
}
'import requests
url = "https://api.example.com/v2/users"
payload = {
"user": {
"id": "<string>",
"primaryParty": "<string>",
"isDeactivated": True,
"metadata": {
"resourceVersion": "<string>",
"annotations": {}
},
"identityProviderId": "<string>",
"primaryPartyAuthentication": True
},
"rights": [{ "kind": { "CanActAs": { "value": { "party": "<string>" } } } }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
id: '<string>',
primaryParty: '<string>',
isDeactivated: true,
metadata: {resourceVersion: '<string>', annotations: {}},
identityProviderId: '<string>',
primaryPartyAuthentication: true
},
rights: [{kind: {CanActAs: {value: {party: '<string>'}}}}]
})
};
fetch('https://api.example.com/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "<string>",
"primaryParty": "<string>",
"isDeactivated": true,
"metadata": {
"resourceVersion": "<string>",
"annotations": {}
},
"identityProviderId": "<string>",
"primaryPartyAuthentication": true
}
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}POST /v2/users
Create a new user.
POST
/
v2
/
users
POST /v2/users
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Body
application/json
RPC requests and responses
///////////////////////////
Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(user.identity_provider_id)
Response
Created user.
Required
Show child attributes
Show child attributes
Was this page helpful?
⌘I